> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a manual snapshot run for a dynamic group

> A `POST` to the `/groups/definitions/{group}/snapshots` endpoint opens a
new snapshot in `pending` state, seeds condition_runs for the conditions
for every active rule, and queues the pipeline job.



## OpenAPI

````yaml post /v3/groups/definitions/{group}/snapshots
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/groups/definitions/{group}/snapshots:
    post:
      tags:
        - Group Snapshot
      summary: Start a manual snapshot run for a dynamic group
      description: |-
        A `POST` to the `/groups/definitions/{group}/snapshots` endpoint opens a
        new snapshot in `pending` state, seeds condition_runs for the conditions
        for every active rule, and queues the pipeline job.
      operationId: groups.definitions.snapshots.store
      parameters:
        - name: group
          in: path
          required: true
          description: The group ID
          schema:
            type: integer
      responses:
        '202':
          description: '`GroupSnapshot`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/GroupSnapshot'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    GroupSnapshot:
      type: object
      properties:
        id:
          type: integer
        group_definition_id:
          type: integer
        status:
          type: string
        source:
          type: string
        snapshot_at:
          type: string
        started_at:
          type: string
        completed_at:
          type: string
        failed_at:
          type: string
        error:
          type:
            - string
            - 'null'
        total_candidates:
          type: integer
        total_excluded:
          type: integer
        total_profiles:
          type: integer
        inclusion_breakdown:
          type:
            - array
            - 'null'
          items: {}
        exclusion_breakdown:
          type:
            - array
            - 'null'
          items: {}
        duration_ms:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - group_definition_id
        - status
        - source
        - snapshot_at
        - started_at
        - completed_at
        - failed_at
        - error
        - total_candidates
        - total_excluded
        - total_profiles
        - inclusion_breakdown
        - exclusion_breakdown
        - duration_ms
        - meta
        - created_at
        - updated_at
      title: GroupSnapshot
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````